MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024097Community[OCCT] OCCT:Modeling Algorithmspublic2013-08-02 02:262015-10-23 20:50
ReporterHayashi 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0024097: BRepAlgoAPI_Section returns wrong result
DescriptionThe result of BRepAlgoAPI_Section of attached faces is wrong.
Steps To Reproducepload ALL
restore face1.brep a
mu4
fit
restore face2.brep b
bsection result1 a b
explode result1
vinit
vdisplay result1_1 result1_2
vfit
vdisplay b
TagsNo tags attached.
Test case number
Attached Fileszip file icon faces.zip (11,861 bytes) 2013-08-02 02:26

- Relationships

-  Notes
(0025669)
emv (developer)
2013-09-20 10:40

There is a problem in the intersection part.
restore face1.brep b1
restore face2.brep b2
mksurface s1 b1
mksurface s2 b2
# 1. intersection with default tolerance
intersect i s1 s2
# curve i is OK
# 2. intersection with the tolerances of faces
intersect i s1 s2 2.e-4
dump i_1
dump i_2
dump i_3
dump i_4
dump i_5
# result - 5 curves, each of those consists of two identical points.

This problem can be reproduced in BOP:
restore face1.brep b1
restore face2.brep b2
bsection r b1 b2
# r is incomplete

restore face1.brep b1
restore face2.brep b2
settolerance b1 1.e-5
settolerance b2 1.e-5
bsection r b1 b2
# r is OK
(0027390)
Hayashi (reporter)
2014-01-08 10:06

Surely, the curve of one returns in 1.e-5.
However, the length of this curve is 0.125 and is very larger than the tolerance value 2.e-4.
Isn't it inaccurate that one curve cannot be returned?
(0045102)
Hayashi (reporter)
2015-09-05 07:55

This problem seems to return a result to expect by OCC6.9.1 beta.
(0045103)
abv (manager)
2015-09-05 16:03

I confirm that this issue exists in OCCT 6.8.0 and 6.9.0, but not on current master and not in OCCT 6.9.1.beta
(0045104)
git (administrator)
2015-09-05 16:10

Branch CR24097 has been created by abv.

SHA-1: ec8e990ef0ec4d589e91adbef3d084186136719c


Detailed log of new commits:

Author: abv
Date: Sat Sep 5 16:09:48 2015 +0300

    0024097: BRepAlgoAPI_Section returns wrong result
    
    Test case added: bugs modalg_6 bug24097
(0045105)
abv (manager)
2015-09-05 16:12

Test is put to CR24097, please integrate
(0045112)
git (administrator)
2015-09-07 07:57

Branch CR24097 has been updated by abv.

SHA-1: 650c9806e3fb2a28aa94cd635d0ba7441575848e


Detailed log of new commits:

Author: abv
Date: Mon Sep 7 07:14:41 2015 +0300

    0026627: [Regression] Shape Healing hangs as of OCC 6.8.0
    
    Check for orientation of the solid corrected to ensure that cycle always finishes.
    
    Test case added

(0045115)
git (administrator)
2015-09-07 09:01

Branch CR24097 has been updated forcibly by abv.

SHA-1: ec8e990ef0ec4d589e91adbef3d084186136719c
(0046963)
git (administrator)
2015-10-16 16:37

Branch CR24097 has been deleted by kgv.

SHA-1: ec8e990ef0ec4d589e91adbef3d084186136719c

- Related Changesets
occt: master 64652908
Timestamp: 2015-09-05 13:09:48
Author: abv
Committer: bugmaster
Details ] Diff ]
0024097: BRepAlgoAPI_Section returns wrong result

Test case added: bugs modalg_6 bug24097
add - tests/bugs/modalg_6/bug24097 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-02 02:26 Hayashi New Issue
2013-08-02 02:26 Hayashi Assigned To => ifv
2013-08-02 02:26 Hayashi File Added: faces.zip
2013-09-13 11:55 ifv Assigned To ifv => Hayashi
2013-09-13 11:55 ifv Assigned To Hayashi => ifv
2013-09-13 11:56 ifv Assigned To ifv => emv
2013-09-20 10:40 emv Note Added: 0025669
2013-10-04 09:46 emv Assigned To emv => ifv
2013-10-04 09:46 emv Status new => assigned
2014-01-08 10:06 Hayashi Note Added: 0027390
2015-09-05 07:55 Hayashi Note Added: 0045102
2015-09-05 16:03 abv Note Added: 0045103
2015-09-05 16:03 abv Target Version => 6.9.1
2015-09-05 16:10 git Note Added: 0045104
2015-09-05 16:12 abv Note Added: 0045105
2015-09-05 16:12 abv Assigned To ifv => bugmaster
2015-09-05 16:12 abv Status assigned => feedback
2015-09-07 07:57 git Note Added: 0045112
2015-09-07 09:01 git Note Added: 0045115
2015-09-07 12:04 bugmaster Status feedback => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 64652908
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 14:55 user533 Status verified => closed
2015-10-16 16:37 git Note Added: 0046963
2015-10-23 20:50 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker